/*=====================================================================
File: ColumnComparer.cs

Summary: 

Date : Septembre 2007

Origin: Open Cellar ! Project

Revision:

Aut: Matthieu DUCROCQ

---------------------------------------------------------------------
Copyright (C) Matthieu DUCROCQ
=====================================================================*/
using System;
using System.Collections;
using System.Text;

namespace OpenCellar.Import.Framework
{
    public class ColumnComparer : IComparer
    {
        public int Compare(object x, object y)
        {
            IColumn c1 = (IColumn)x;
            IColumn c2 = (IColumn)y;
            int result = c1.Priority.CompareTo(c2.Priority);
            if (result == 0)
            {
                result = string.Compare(c1.Name, c2.Name);
            }

            return (result);
        }
    }
}
