/*=====================================================================
File: IRow.cs

Summary: 

Date : Septembre 2007

Origin: Open Cellar ! Project

Revision:

Aut: Matthieu DUCROCQ

---------------------------------------------------------------------
Copyright (C) Matthieu DUCROCQ
=====================================================================*/
using System;
using System.Text;

namespace OpenCellar.Import.Framework
{
    public interface IRow
    {
        /// <summary>
        /// Obtient l'index de la ligne.
        /// </summary>
        int RowIndex { get;}

        /// <summary>
        /// Obtient la chaine  la position spcifie.
        /// </summary>
        /// <param name="index"></param>
        /// <returns></returns>
        string this[int index]{get;}

        /// <summary>
        /// Obtient une rfrence vers le document parent.
        /// </summary>
        IDocument Parent { get;}

        /// <summary>
        /// 
        /// </summary>
        /// <param name="index"></param>
        /// <returns></returns>
        bool CheckIndice(int index);
    }
}
