/*=====================================================================
File: IRowCollection.cs

Summary: 

Date : Septembre 2007

Origin: Open Cellar ! Project

Revision:

Aut: Matthieu DUCROCQ

---------------------------------------------------------------------
Copyright (C) Matthieu DUCROCQ
=====================================================================*/
using System;
using System.Text;

namespace OpenCellar.Import.Framework
{
    public interface IRowCollection
    {
        /// <summary>
        /// Ajoute une ligne  la liste.
        /// </summary>
        /// <param name="row"></param>
        void Add(IRow row);

        /// <summary>
        /// Obtient la ligne spcifie en index.
        /// </summary>
        /// <param name="index">Index de la ligne.</param>
        /// <returns>IRow correspondante</returns>
        IRow this[int index] { get;}

        /// <summary>
        /// Obtient le nombre de lignes prsent dans la liste.
        /// </summary>
        int Count { get;}
    }
}
