/*=====================================================================
File: IWindowsDocumentFactory.cs

Summary: 

Date : Septembre 2007

Origin: Open Cellar ! Project

Revision:

Aut: Matthieu DUCROCQ

---------------------------------------------------------------------
Copyright (C) Matthieu DUCROCQ
=====================================================================*/
using System;

namespace OpenCellar.Import.Framework
{
	/// <summary>
	/// IWindowsDocumentFactory.
	/// </summary>
	public interface IWindowsDocumentFactory
	{
		/// <summary>
		/// Cre un document.
		/// </summary>
		/// <param name="cellar">Cave cible</param>
		/// <returns></returns>
		IDocument CreateDocument(OpenCellar.Framework.Core.Cellar cellar);

		/// <summary>
		/// Renvoit le nom de la fabrique.
		/// </summary>
		/// <returns></returns>
		string GetName();
	}
}
